{% extends 'base.html.twig' %}

{% block title %}Hopital index{% endblock %}

{% block body %}
    <h1>Hopital index</h1>
    <a href="{{ path('hopital_new') }}">Create new</a>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Address</th>
                <th>PostalCode</th>
                <th>City</th>
                <th>Country</th>
                <th>Rooms</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for hopital in hopitals %}
            <tr>
                <td>{{ hopital.id }}</td>
                <td>{{ hopital.name }}</td>
                <td>{{ hopital.address }}</td>
                <td>{{ hopital.postalCode }}</td>
                <td>{{ hopital.city }}</td>
                <td>{{ hopital.country }}</td>
                <td>
                    <ul>
                    {% for room in hopital.HasRoom %}
                        <li>{{ room }}</li>
                    {% endfor %}
                    </ul>
                </td>
                <td>
                    <a href="{{ path('hopital_show', {'id': hopital.id}) }}">show</a>
                    <a href="{{ path('hopital_edit', {'id': hopital.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
